Page MenuHomePhabricator

Pagination links are broken for search if limit is set higher than 50
Closed, ResolvedPublic

Description

I changed the "Hits per page" value in My preferences on the English Wikipedia to 500. Now, when i search for a string, for example "Aharoni", i get this line at the top of the page: "Results 1 - 50 of 299 for aharoni".

"1 - 50" - even though all the results are shown on one page. I'm not sure, but i think that it is a new issue and that it used to show something like "1 - 299" earlier.


Version: unspecified
Severity: normal

Details

Reference
bz21287

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:54 PM
bzimport added a project: MediaWiki-Search.
bzimport set Reference to bz21287.
bzimport added a subscriber: Unknown Object (MLST).
Amire80 created this task.Oct 25 2009, 9:15 PM

rainman wrote:

I have recently set maximum number of hits to 50 on the backend. We cannot sustain having the limit per page set to 500, and these queries frequently time out and cause other problems under high load (e.g. see bug 16236).

As far as i know, the frontend has those values 20-50-100-250-500 hardcoded, so that needs fixing.

Oh, i see - not all the 299 results are shown, only 50. And the (previous 500 | next 500) links at the bottom are inactive. This creates an illusion that all the results are shown.

OK then, if 500 is too much, i'll set it to 50, even though 500 was very convenient to me. Maybe all users should be forced to change that in one way or another.

*** Bug 21498 has been marked as a duplicate of this bug. ***

Meno25 removed a subscriber: Meno25.Nov 23 2018, 7:38 AM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptNov 23 2018, 7:38 AM
EBjune closed this task as Resolved.Nov 29 2018, 6:25 PM
EBjune claimed this task.
EBjune added a subscriber: EBjune.

This has been long fixed